Subject: [MMUSIC] RFC 4566bis - issue 5 - improper wording related with IP addresses

From: Colin Perkins <[email-masked]>
Date: Mon, 14 Jul 2008 23:56:13 +0100

On 10 Nov 2006, at 00:10, Alfred HÎnes wrote:
> (5)  improper wording related with IP addresses
>
> IP addresses (in IPv4 and IPv6) are always assigned to an interface,
> not to a host or 'machine'.  Therefore, a Standards Track RFC
> should never talk about  '*the* IP address of a machine'.
> FQDNs are also not necessarily unique for a 'machine', e.g. a server
> having multiple, 'role-based' FQDNs.
>
> Therefore, in Section 5.2, the last paragraph on page 11,
>
> |  <unicast-address> is the address of the machine from which the
>       session was created.  For an address type of IP4, this is either
> |     the fully qualified domain name of the machine or the dotted-
> |     decimal representation of the IP version 4 address of the  
> machine.
> |     For an address type of IP6, this is either the fully qualified
>       domain name of the machine or the compressed textual
> |     representation of the IP version 6 address of the machine.  For
>       both IP4 and IP6, the fully qualified domain name is the form  
> that
> |     SHOULD be given unless this is unavailable, in which case the
>       globally unique address MAY be substituted.  A local IP address
>       MUST NOT be used in any context where the SDP description might
>       leave the scope in which the address is meaningful (for  
> example, a
>       local address MUST NOT be included in an application-level
>       referral that might leave the scope).
>
> should say:
>
> |  <unicast-address> is an address of the machine from which the
>       session was created.  For an address type of IP4, this is either
> |     a fully qualified domain name of the machine or the dotted-
> |     decimal representation of an IP version 4 address of the  
> machine.
> |     For an address type of IP6, this is either a fully qualified
>       domain name of the machine or the compressed textual
> |     representation of an IP version 6 address of the machine.  For
>       both IP4 and IP6, the fully qualified domain name is the form  
> that
> |     SHOULD be given unless this is unavailable, in which case a
>       globally unique address MAY be substituted.  A local IP address
>       MUST NOT be used in any context where the SDP description might
>       leave the scope in which the address is meaningful (for  
> example, a
>       local address MUST NOT be included in an application-level
>       referral that might leave the scope).

This seems a reasonable minor correction, which I propose to adopt.

A related issue is whether we need to give any guidance on which  
address a multi-homed host should use in the SDP "o=" line? For  
example, we might specify that the address of the interface from  
which the SDP is sent is used. My proposal is that we don't add any  
such guidance, but I'm willing to be convinced otherwise.

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic